* {
  margin: 0;
  padding: 0;
}

html 
{
  height: 100%;
}

body
{
	height: 100%;
	background: #312e2b;
	text-align: center;
	align-items: center;
	

}

.wrapper {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.Display
{
	flex: 1 0 auto;
	display: flex;
	flex-direction: row;
  	justify-content: center;
}

.ChessBoard
{

	margin-left: auto;
	margin-top: auto;
	margin-bottom: auto;


}

.Board
{

	border:	0;
	border-collapse: collapse;
	align-items: center;
	justify-content: center;
	text-align: center;
	width:  30em;
	height:  30em;
	

}


.Board td
{
	border: 0px;
	width:  4em;
	height:  4em;
	padding: 0;
}

.Board .white
{
	
	background: #F2F0D8;
}

.Board .black
{
	background: #758C51;
}

.Board .whiteH p
{

	color: #758C51;
}

.Board .blackH p
{
	color: #F2F0D8;
}

.num
{
	font-size: 12pt;
	width:  1em;
	height:  1em;
	margin-bottom: 2.8em;
	margin-right: -2em;
	text-align: center;
	
}

.symb
{
	font-size: 12pt;
	width:  1em;
	height:  1em;
	margin-top: -1.3em;
	margin-left: 2.8em;
	text-align: center;

}

.tableItem
{
	width:  2em;
	height:  2em;
}

.UserData
{
	height:  32em;
	margin-left: 5%;
	margin-right: auto;
	margin-top: auto;
	margin-bottom: auto;

}

label
{
	color: #ffffff;
}

input, textarea, select {
	color: #bab9b8;
	padding: 5px;
	background: #3d3b39;
	border: 1px solid #3d3b39;
	border-radius: 3px;
	/*height: 25px;*/
}

input:hover, textarea:hover, select:hover {
	box-shadow: 0 0 5px #758C51;
}

input:focus, textarea:focus, select:focus {
	border: 1px solid #758C51;
	outline:none;
	box-shadow: 0 0 5px #758C51;
}

.UserForm
{
	height:  16em;
	width: 14em;
	background: #272522;
	/*margin-left: 5%;*/
	padding-top: 2em;
	margin-right: auto;
	margin-top: 0;
	border-radius: 5px;

}

.UserData p
{
	color: #F2F0D8;
	font-size: 16pt;
}

.UserData input
{
	margin: 10px;
	width: 150px;
	height: 20px;
}

.UserData a
{
	color: #758C51;
	font-size: 12pt;
	margin: 10px;

}

.UserData a:hover
{
	color: #F2F0D8;
	font-size: 12pt;
	margin: 10px;
}

#btn, #timerBtn
{
	border: none;
	background-color: #758C51;
	color: #F2F0D8;
	font-size: 12pt;
	width: 150px;
	height: 40px;
	border-radius: 5px;

}

#btn:hover, #timerBtn:hover
{
	border: none;
	background-color: #a8bf60; /*#4D593B;*/
	box-shadow: 0 0 5px #758C51;
	/*color: #F2F0D8;
	font-size: 12pt;
	width: 150px;
	height: 40px;*/

}

#btn:active, #timerBtn:active
{
	border: none;
	background-color: #99b24a; /*#B0BF8F;
*/	/*color: #262422;
	font-size: 10pt;
	width: 150px;
	height: 40px;*/

}
.footer
{
	flex: 0 0 auto;
	padding-top: 20px;	
	height: 50px;
	width: 100%;
	background: #1f1d1b;
}

.footer a
{
	color: #76825b;
	font-size: 12pt;
	margin: 10px;
}

.footer a:hover
{
	color: #758C51;
	font-size: 12pt;
	margin: 10px;
}

.footer label {
	color: #76825b;
	font-size: 12pt;
	margin-left: 10%;
}

/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 40px;
  height: 24px;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 16px;
  width: 16px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #758C51;
}

input:focus + .slider {
  box-shadow: 0 0 1px #758C51;
}

input:checked + .slider:before {
  -webkit-transform: translateX(16px);
  -ms-transform: translateX(16px);
  transform: translateX(16px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

#themeswitcher {
	margin-left: 5px;
}

.UserRegistration {
	padding: 10px;
	/*padding: 10px*/
	text-align: center;
	width: 21em;
	height: 25em;
	margin: auto;
	background: #272522;
	border-radius: 5px;
}

.UserRegistration label {
	font-size: 14pt;
	display: inline-block;
  	width: 200px;
  	/*margin-left: 20px;*/
}

.UserRegistration .edit {
	/*height: 30px;*/
	width: 90%;
	margin-top: 5px;
}

.UserRegistration .edit2 {
	/*height: 30px;*/
	/*width: 10%;*/
	margin-top: 5px;
}

.UserComment textarea {
	/*height:  16em;*/
	width: 16em;
}

#timer{
	margin-left: 0;
	margin-right: 7px; 
	font-size: 14pt;
	width: 45px;
	
}

#timerBtn
{
	margin-right: 0; 
	margin-left: 7px;
}

.myChart
{
	margin: 10%;
	margin-top: 3%;
	margin-bottom: 4%;
	
}